<?php
/**
 * About Us Page Template
 *
 * Template Name:  About Us Page (V3)
 *
 * @file           about-us-v3.php
 * @package        Impulse Vision
 * @author         Two Impulse
 * @copyright      2014 Two Impulse
 * @license        license.txt
 * @version        Release: 1.0
 */

get_header(); ?>
<div class="content">
    <?php get_template_part('breadcrumbs'); ?>

    <div class="container">
    	<div class="row">
            <div class="col-lg-12 post-container"> 
                <?php get_template_part('content'); ?>
            </div>
         </div>
    </div><!--end Container-->
    
    <div class="container">

        <!-- START THE FEATURETTES -->
        <div class="row">
            <div class="col-md-7 col-sm-12">
                <?php echo impulse_page_options($post->ID,'iv_about_title_1','This is the title of the featurette.'); ?>
                <?php echo impulse_page_options($post->ID,'iv_about_text_1','This is the content of the featurette.'); ?>
            </div>
            <div class="col-md-5 col-sm-12">
                <img src="<?php echo impulse_page_options($post->ID,'iv_about_picture_1','This is the picture 1 of the featurette.'); ?>"/>
            </div>
        </div>
        
        <hr class="featurette-divider">
        
        <div class="row">
            <div class="col-md-5 col-sm-12">
                <img src="<?php echo impulse_page_options($post->ID,'iv_about_picture_2','This is the picture 1 of the featurette.'); ?>"/>
            </div>
            <div class="col-md-7 col-sm-12">
                <?php echo impulse_page_options($post->ID,'iv_about_title_2','This is the title of the featurette.'); ?>
                <?php echo impulse_page_options($post->ID,'iv_about_text_2','This is the content of the featurette.'); ?>
            </div>
            
        </div>
        
        <hr class="featurette-divider">
        
        <div class="row">
            <div class="col-md-7 col-sm-12">
                <?php echo impulse_page_options($post->ID,'iv_about_title_3','This is the title of the featurette.'); ?>
                <?php echo impulse_page_options($post->ID,'iv_about_text_3','This is the content of the featurette.'); ?>
            </div>
            <div class="col-md-5 col-sm-12">
                <img src="<?php echo impulse_page_options($post->ID,'iv_about_picture_3','This is the picture 1 of the featurette.'); ?>"/>
            </div>
        </div>
        

               
           
        </div><!-- /.row -->


        <!-- /END THE FEATURETTES -->
    </div><!--end Container-->


    <div class="latest-work">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <!-- Latest Work -->
                    <h2><span><?php echo __('Latest Work', 'impulse-vision')?></span></h2>
                    <?php get_template_part('latest-work'); ?>
                </div>
            </div>
        </div>
    </div>
	
	<div class="container newsletters">
		<?php if (!dynamic_sidebar('newsletter')) : ?>
			<div class="widget-title-home"><h2><span><?php _e('Newsletter', 'impulse-vision'); ?></span></h2></div>
			<div class="textwidget"><?php _e('To edit please go to Appearance > Widgets and choose Newsletter.', 'impulse-vision'); ?></div>
		<?php endif;  ?>
	</div>

</div>

    <!-- this needs to be included if you want the latest work part -->
    <script src="<?php echo impulse_vision_uri(); ?>/js/owl.carousel.min.js"></script>
    <script src="<?php echo impulse_vision_uri(); ?>/js/carousel.js"></script>

    <link rel="stylesheet" type="text/css" media="all" href="<?php echo impulse_vision_uri(); ?>/css/owl.carousel.css"/>
    <link rel="stylesheet" type="text/css" media="all" href="<?php echo impulse_vision_uri(); ?>/css/owl.theme.css"/>

<?php get_footer(); ?>