<?php
/**
 * Contact Page Template (V2)
 *
 * Template Name:  Contact Page (V2)
 *
 * @file           contact-v2.php
 * @package        Impulse Vision
 * @author         Two Impulse
 * @copyright      2014 Two Impulse
 * @license        license.txt
 * @version        Release: 1.0
 */

get_header(); ?>

<div class="content">
    <?php get_template_part('breadcrumbs'); ?>

    <div class="container">
		<div class="row">
           <div class="col-lg-12 featured-page-item">
                <!-- Featured -->
               <?php
                $picture = impulse_page_options( $post->ID, 'iv_contact_picture');
               ?>

				<a href="#" class="featured-image"><img src="<?php echo $picture; ?>" alt="<?php echo __('This is the top picture', 'impulse-vision'); ?>"/></a>
           </div>
        </div>
		
		<div class="row page-widgets">
			<div class="col-sm-4 col-lg-4 contact-info">
				<h2><span><?php echo __('Contact Information', 'impulse-vision'); ?></span></h2>
                <!-- Contact-info -->
                <p>
                    <?php echo impulse_page_options( $post->ID, 'iv_contact_text',__('This would be the contact text', 'impulse-vision') ); ?>
                </p>

                <ul class="contact-list list-group">
                    <li class="list-group-item"><i class="fa fa-home"></i>&nbsp;&nbsp;<?php echo impulse_page_options( $post->ID, 'iv_address',__('This would be the address', 'impulse-vision')); ?></li>
                    <li class="list-group-item"><i class="fa fa-phone"></i>&nbsp;&nbsp;<?php echo impulse_page_options( $post->ID, 'iv_phone',__('This would be the phone', 'impulse-vision')); ?></li>
                    <li class="list-group-item"><i class="fa fa-envelope-alt"></i>&nbsp;&nbsp;<?php echo impulse_page_options( $post->ID, 'iv_email',__('This would be the contact email', 'impulse-vision') ); ?></li>
                </ul>

                <div class="social-icons">
                    <?php impulse_press_opt_display_social_links(); ?>
                </div>
            </div>
			<div class="col-sm-8 col-lg-8 contact-form">
               <?php get_template_part('content'); ?>
			</div>

         </div>
		 
		<!-- Three Contact widgets -->
		<div class="row">
			<div class="col-lg-12 contact-widgets main-widgets">
				<div class="row">
				   <div class="col-sm-4 col-lg-4 main-1">
						<div class="widget-content">
                            <?php echo impulse_page_options( $post->ID, 'iv_contact_box1_content',__('This would be the content of box 1', 'impulse-vision')); ?>
						</div>
				   </div>
			
				   <div class="col-sm-4 col-lg-4 main-2">
						<div class="widget-content">
                            <?php echo impulse_page_options( $post->ID, 'iv_contact_box2_content',__('This would be the content of box 2', 'impulse-vision')); ?>
						</div>
				   </div>
			
				   <div class="col-sm-4 col-lg-4 main-3">
						<div class="widget-content">
                            <?php echo impulse_page_options( $post->ID, 'iv_contact_box3_content',__('This would be the content of box 3', 'impulse-vision')); ?>
						</div>
				   </div>
				</div>
			</div>
		 </div>
		 
		 
    </div><!--end Container-->
	
		<!-- GMaps -->
		<div id="map">
			<?php if ( impulse_press_options('show_map','1') == '1') :
				$address = impulse_page_options( $post->ID, 'iv_address',__('This would be the address.', 'impulse-vision') );
				?>
				<iframe
					width="100%"
					height="360"
					frameborder="0" style="border:0"
					src="https://www.google.com/maps/embed/v1/place?key=AIzaSyBFqruISGZoZhG126_RH6ZVNfYSWzhlPIM
							&q=<?php echo $address; ?>">
				</iframe>

			<?php endif; ?>
		</div>
		 

	<!-- Twitter Line -->
	<?php get_template_part('twitter-line'); ?>
	
</div>
<?php get_footer(); ?>