<?php
/**
 * Contact Page Template (V3)
 *
 * Template Name:  Contact Page (V3)
 *
 * @file           contact-v3.php
 * @package        Impulse Vision
 * @author         Two Impulse
 * @copyright      2014 Two Impulse
 * @license        license.txt
 * @version        Release: 1.0
 */

get_header(); ?>

<div class="content">
    
	<!-- GMaps -->
	<div id="map">
		<?php if ( impulse_press_options('show_map','1') == '1') :
			$address = get_post_meta( $post->ID, 'iv_address', 'NYC' );
			?>
			<iframe
				width="100%"
				height="360"
				frameborder="0" style="border:0"
				src="https://www.google.com/maps/embed/v1/place?key=AIzaSyBFqruISGZoZhG126_RH6ZVNfYSWzhlPIM
						&q=<?php echo $address; ?>">
			</iframe>

		<?php endif; ?>
	</div>
    
    <?php get_template_part('breadcrumbs'); ?>

    <div class="container">		
		<div class="row page-widgets">
			<div class="col-sm-6 col-lg-6 contact-form">
				<?php get_template_part('content'); ?>
			</div>
			
			<div class="col-sm-6 contact-info">
            	<h2><span><?php echo __('Contact Information', 'impulse-vision'); ?></span></h2>
                <!-- Contact-info -->
                <p>
                    <?php echo get_post_meta( $post->ID, 'iv_contact_text',__('This would be the contact text', 'impulse-vision')); ?>
                </p>

                <ul class="contact-list list-group">
                    <li class="list-group-item"><i class="fa fa-home"></i>&nbsp;&nbsp;<?php echo get_post_meta( $post->ID, 'iv_address',__('This would be the address', 'impulse-vision') ); ?></li>
                    <li class="list-group-item"><i class="fa fa-phone"></i>&nbsp;&nbsp;<?php echo get_post_meta( $post->ID, 'iv_phone',__('This would be the phone', 'impulse-vision')); ?></li>
                    <li class="list-group-item"><i class="fa fa-envelope-alt"></i>&nbsp;&nbsp;<?php echo get_post_meta( $post->ID, 'iv_email',__('This would be the email', 'impulse-vision')); ?></li>
                </ul>
            </div>
         </div>
		 
		 <!-- Three Contact widgets -->
		 <div class="row">
			<div class="col-lg-12 contact-widgets main-widgets">
				<div class="row">
				   <div class="col-sm-4 col-lg-4 main-1">
						<div class="widget-content">
                            <?php echo impulse_page_options( $post->ID, 'iv_contact_box1_content',__('This would be the content of box 1', 'impulse-vision')); ?>

						</div>
				   </div>
			
				   <div class="col-sm-4 col-lg-4 main-2">
						<div class="widget-content">
                            <?php echo impulse_page_options( $post->ID, 'iv_contact_box2_content',__('This would be the content of box 2', 'impulse-vision')); ?>

						</div>
				   </div>
			
				   <div class="col-sm-4 col-lg-4 main-3">
						<div class="widget-content">
                            <?php echo impulse_page_options( $post->ID, 'iv_contact_box3_content',__('This would be the content of box 3', 'impulse-vision')); ?>

						</div>
				   </div>
				</div>
			</div>
		 </div>
		 
		 
    </div><!--end Container-->
		 

	<!-- Twitter Line -->
	<?php get_template_part('twitter-line'); ?>
	
</div>
<?php get_footer(); ?>