<?php
/**
 * Contact Page Template
 *
 * Template Name:  Contact Page
 *
 * @file           contact.php
 * @package        Impulse Vision
 * @author         Two Impulse
 * @copyright      2014 Two Impulse
 * @license        license.txt
 * @version        Release: 1.0
 */

get_header(); ?>

<div class="content">
    <!-- GMaps -->
    <div id="map">
        <?php if ( impulse_press_options('show_map','1') == '1') :
            $address = impulse_page_options( $post->ID, 'iv_address', true );
            ?>
            <iframe
                width="100%"
                height="360"
                frameborder="0" style="border:0"
                src="https://www.google.com/maps/embed/v1/place?key=AIzaSyBFqruISGZoZhG126_RH6ZVNfYSWzhlPIM
                        &q=<?php echo $address; ?>">
            </iframe>

        <?php endif; ?>
    </div>

    <?php get_template_part('breadcrumbs'); ?>

    <div class="container">
     <div class="row page-widgets">
           <div class="col-sm-6 col-lg-6 contact-form">
               <?php get_template_part('content'); ?>
           </div>

           <div class="col-sm-6 col-lg-6 contact-info">
           		<h2><span><?php echo __('Contact Information', 'impulse-vision'); ?></span></h2>
                <!-- Contact-info -->
                <p>
                    <?php echo impulse_page_options( $post->ID, 'iv_contact_text'); ?>
                </p>

                <ul class="contact-list list-group">
                    <li class="list-group-item"><i class="fa fa-home"></i>&nbsp;&nbsp;<?php echo impulse_page_options( $post->ID, 'iv_address',__('This would be the address', 'impulse-vision') ); ?></li>
                    <li class="list-group-item"><i class="fa fa-phone"></i>&nbsp;&nbsp;<?php echo impulse_page_options( $post->ID, 'iv_phone',__('This would be the address', 'impulse-vision') ); ?></li>
                    <li class="list-group-item"><i class="fa fa-envelope-alt"></i>&nbsp;&nbsp;<?php echo impulse_page_options( $post->ID, 'iv_email',__('This would be the address', 'impulse-vision')); ?></li>
                </ul>

                <div class="social-icons">
                    <?php impulse_press_opt_display_social_links(); ?>
                </div>
            </div>
         </div>
     </div><!--end Container-->

    <div class="container newsletters">
        <?php if (!dynamic_sidebar('newsletter')) : ?>
            <div class="widget-title-home"><h2><span><?php _e('Newsletter', 'impulse-vision'); ?></span></h2></div>
            <div class="textwidget"><?php _e('To edit please go to Appearance > Widgets and choose Newsletter.', 'impulse-vision'); ?></div>
        <?php endif;  ?>
    </div>

    <!-- Twitter Line -->
    <?php get_template_part('twitter-line'); ?>

</div>
<?php get_footer(); ?>