<?php
/**
 * Impulse Vision functions and definitions.
  */

//require_once( get_stylesheet_directory(). '/includes/services.php' );
//require_once( get_stylesheet_directory(). '/includes/team.php' );
require_once( get_stylesheet_directory(). '/includes/post-types.php' );
require_once( get_stylesheet_directory(). '/includes/options.php' );
require_once( get_stylesheet_directory() . '/includes/widgets.php' );
require_once( get_stylesheet_directory() . '/includes/plugins.php' );
require_once( get_stylesheet_directory() . '/includes/pages-options.php' );

/**
* Include the TGM_Plugin_Activation class.
 */
require_once (get_stylesheet_directory().'/includes/tgm-plugin-activation/class-tgm-plugin-activation.php' );


add_filter( 'cmb_meta_boxes', 'impulse_vision_metaboxes' );
add_action( 'admin_init', 'impulse_vision_hide_editor' );
add_action('widgets_init', 'impulse_vision_widgets_init');
add_action( 'tgmpa_register', 'impulse_vision_register_required_plugins' );
add_action('after_setup_theme', 'impulse_vision_setup');


add_action('wp_head', 'impulse_vision_custom_css');

function impulse_vision_custom_css() {

    $custom_css ='';

    //header
    if(impulse_press_options('disable_fixed_navbar') == '1') {
        $custom_css .= '.content { padding-top: 110px; }';
    }

    //trim white space for faster page loading
    $custom_css_trimmed =  preg_replace( '/\s+/', ' ', $custom_css );

    //echo css
    $css_output = "<!-- Custom CSS -->\n<style type=\"text/css\">\n" . $custom_css_trimmed . "\n</style>";

    if(!empty($custom_css)) {
        echo $css_output;
    }

}


function impulse_vision_directory() {
    return get_stylesheet_directory();
}

function impulse_vision_uri() {
    return get_stylesheet_directory_uri();
}

function impulse_vision_theme() {

    $theme_obj = wp_get_theme('impulsevision');
    return $theme_obj;
}


function impulse_vision_setup() {
    impulse_vision_register_menus();

}

function impulse_vision_register_menus () {
    unregister_nav_menu( 'footer-menu' );
}




/*
 * Hides post editor for certain page templates
 */

function impulse_vision_hide_editor() {
	// Get the Post ID.
	if ( isset ( $_GET['post'] ) )
        $post_id = $_GET['post'];
    else if ( isset ( $_POST['post_ID'] ) )
        $post_id = $_POST['post_ID'];

    if( !isset ( $post_id ) || empty ( $post_id ) )
    return;

	// Get the name of the Page Template file.
	$template_file = get_post_meta($post_id, '_wp_page_template', true);

    // hide the edit part for home page post types
    if($template_file == 'home-vision.php'){
    	remove_post_type_support('page', 'editor');
    }
    if($template_file == 'home-vision-v2.php'){
        remove_post_type_support('page', 'editor');
    }
    if($template_file == 'home-vision-v3.php'){
        remove_post_type_support('page', 'editor');
    }
    
    if($template_file == 'home-vision-v4.php'){
        remove_post_type_support('page', 'editor');
    }
    
     if($template_file == 'team.php'){
        remove_post_type_support('page', 'editor');
    }

    if($template_file == 'team-v2.php'){
        remove_post_type_support('page', 'editor');
    }
    
    if($template_file == 'team-v3.php'){
        remove_post_type_support('page', 'editor');
    }

    if($template_file == 'team-v4.php'){
        remove_post_type_support('page', 'editor');
    }

}

/*
 * Woocommerce
 */
add_theme_support( 'woocommerce' );

add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 12;' ), 20 );