<?php
/**
 * The header template file
 *
 * @file           header.php
 * @package        Impulse Press
 * @author         Two Impulse
 * @copyright      2014 Two Impulse
 * @license        license.txt
 * @version        Release: 1.2.5
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width">
    <title><?php wp_title('&#124;', true, 'right'); ?></title>
    <?php if (impulse_press_options('custom_favicon') !== '') { ?>
        <link rel="icon" type="image/png" href="<?php echo impulse_press_options('custom_favicon'); ?>"/>
    <?php } else { ?>
        <link rel="shortcut icon" href="<?php echo get_stylesheet_directory_uri(); ?>/favicon.png"/>
    <?php }  ?>

    <link rel="profile" href="http://gmpg.org/xfn/11"/>
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>"/>


    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="<?php echo get_stylesheet_directory_uri(); ?>/js/html5shiv.js"></script>
    <script src="<?php echo get_stylesheet_directory_uri(); ?>/js/respond.min.js"></script>
    <![endif]-->
    <?php wp_head(); ?>
    <link rel="stylesheet" type="text/css" media="all" href="<?php echo get_stylesheet_uri(); ?>"/>

     <?php echo impulse_press_options('tracking_header'); ?>

</head>

<body <?php body_class(); ?> id="<?php echo (impulse_press_options('disable_fixed_navbar', '0') == '1') ? 'top-bar-fixed-top' : 'top-bar-static-top' ?>">

<div id="wrap">
	<!-- Top bar -->
    <?php if (impulse_press_options('enable_top_bar') == '1') : ?>
        <div class="top-bar <?php echo (impulse_press_options('disable_fixed_navbar', '0') == '1') ? 'top-bar-fixed-top' : 'top-bar-static-top' ?>">
            <div class="container">
                <div class="slogan-top">
                    <?php if( impulse_press_options('slogan') ) : ?>
                        <?php echo impulse_press_options('slogan'); ?>
                    <?php else : ?>
                        <?php _e('Go to your theme header options and add some text in the Slogan Text area', 'impulse-vision'); ?>
                    <?php endif; ?>
                </div>
                <div class="social-icons hidden-xs">
                    <?php
                        if( impulse_press_options('enable_social','1') == '1')   {
                            impulse_press_opt_display_social_links();
                        }
                    ?>
                </div>
            </div>
        </div><!-- Top bar -->
    <?php endif; ?>

    <!-- Navbar -->
    <div class="navbar-wrapper">
		<div class="navbar navbar-default <?php echo (impulse_press_options('disable_fixed_navbar', '0') == '1') ? 'navbar-fixed-top' : 'navbar-static-top' ?>">
			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse"
							data-target=".navbar-collapse">
						<span class="fa fa-bars"></span>
					</button>


					<!-- TODO - Add option for logo -->
					<?php if (impulse_press_options('custom_logo') !== '') { ?>
						<div id="logo">
							<a href="<?php echo esc_url( home_url() ); ?>/" title="<?php bloginfo('name'); ?>"  rel="home">
								<img src="<?php echo impulse_press_options('custom_logo'); ?>" alt="<?php bloginfo('name'); ?>"/>
							</a>
						</div>
					<?php } else { ?>
					<a class="navbar-brand" href="<?php echo esc_url( home_url() ); ?>/" title="<?php bloginfo('name'); ?>"
						rel="homepage"><?php bloginfo('name') ?></a>
					<?php }  ?>

				</div>
				<div class="navbar-collapse collapse">
					<div class="navbar-right">
                        <?php if(is_plugin_active( 'woocommerce/woocommerce.php')) : ?>

                             <a href="/cart"><i class="fa fa-shopping-cart"></i></a>

                        <?php endif; ?>

						<a href="#" id="search-toggle"><i class="fa fa-search"></i></a>
					</div>
					
					<?php
						$walker = has_nav_menu( 'top-menu' ) ? new wp_bootstrap_navwalker() : new IP_Bootstrap_Page_Walker();
						$args = array(
							'theme_location' => 'top-menu',
							'depth' => 2,
							'container' => false,
							'menu_class' => 'nav navbar-nav',
							'fallback_cb' => 'impulse_press_page_menu',
							'walker' => $walker,
						);
						wp_nav_menu($args);
					?>
				</div>

			</div>
		
		</div><!-- Navbar -->
	</div>
	<div class="row navbar-search">
		<div class="container">
			<?php get_search_form(); ?>
		</div>
	</div>
	
	<script>
        jQuery( document ).ready(function( $ ) {
            $('.navbar-search, .navbar-search .input-group').hide(0);
            $('#search-toggle').click(function () {
                $('.navbar-search').slideToggle(500);
                $('.navbar-search .input-group').delay(250).fadeToggle(500, 250);
            });
			
			/* Titles Line */
				/* Recent Posts */
				var ImpulseHeading = $('.widget_recent_entries .widget-title'),
					ImpulseHeadingText = $(ImpulseHeading).text(),
					ImpulseHeadingFullText = '<span>' + ImpulseHeadingText + '</span>';
				$(ImpulseHeading).html(ImpulseHeadingFullText);
				
				/* Archives */
				var ImpulseHeading2 = $('.widget_archive .widget-title'),
					ImpulseHeadingText2 = $(ImpulseHeading2).text(),
					ImpulseHeadingFullText2 = '<span>' + ImpulseHeadingText2 + '</span>';
				$(ImpulseHeading2).html(ImpulseHeadingFullText2);
				
				/* Recents Comments */
				var ImpulseHeading3 = $('.widget_recent_comments .widget-title'),
					ImpulseHeadingText3 = $(ImpulseHeading3).text(),
					ImpulseHeadingFullText3 = '<span>' + ImpulseHeadingText3 + '</span>';
				$(ImpulseHeading3).html(ImpulseHeadingFullText3);
				
				/* Newsletters */
				var ImpulseHeading4 = $('.newsletters .widgettitle'),
					ImpulseHeadingText4 = $(ImpulseHeading4).text(),
					ImpulseHeadingFullText4 = '<span>' + ImpulseHeadingText4 + '</span>';
				$(ImpulseHeading4).html(ImpulseHeadingFullText4);
        });
	</script>

