<?php
/**
 * Home Template (V3)
 *
 * Template Name:  Home Vision (V3)
 *
 * @file           home-vision-v3.php
 * @package        Impulse Vision
 * @author         Two Impulse
 * @copyright      2014 Two Impulse
 * @license        license.txt
 * @version        Release: 0.1
 */

get_header(); 
?>

<link rel="stylesheet" type="text/css" media="all" href="<?php echo impulse_vision_uri() ?>/css/owl.carousel.css"/>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo impulse_vision_uri() ?>/css/owl.theme.css"/>

<div class="container-carousel">
<?php if (!dynamic_sidebar('hero-slider')) : ?>
    <div class="widget-title-home"><h3><?php _e('Hero Slider', 'impulse-press'); ?></h3></div>
    <div class="textwidget"><?php _e('To edit please go to Appearance > Widgets and choose Hero Slider.', 'impulse-press'); ?></div>
<?php endif;  ?>
</div>

<div class="container">

    <!-- Three columns of text below the carousel -->
    <div class="row">
        <div class="col-lg-12 main-widgets">
            <div class="row">
                <div class="col-sm-4 col-lg-4 main-1">
                    <div class="widget-content">
                        <?php if (!dynamic_sidebar('main-1')) : ?>
                            <div class="widget-title-home"><h3><?php _e('Main One', 'impulse-press'); ?></h3></div>
                            <div class="widget-content"><?php _e('To edit please go to Appearance > Widgets and choose Main One.', 'impulse-press'); ?></div>
                        <?php endif;  ?>
                    </div>
                </div><!-- /.col-xs-4 -->

                <div class="col-sm-4 col-lg-4 main-2">
                    <div class="widget-content">
                        <?php if (!dynamic_sidebar('main-2')) : ?>
                            <div class="widget-title-home"><h3><?php _e('Main Two', 'impulse-press'); ?></h3></div>
                            <div class="textwidget"><?php _e('To edit please go to Appearance > Widgets and choose Main Two.', 'impulse-press'); ?></div>
                        <?php endif;  ?>
                    </div>
                </div><!-- /.col-xs-4 -->

                <div class="col-sm-4 col-lg-4 'main-3'">
                    <div class="widget-content">
                        <?php if (!dynamic_sidebar('main-3')) : ?>
                            <div class="widget-title-home"><h3><?php _e('Main Three', 'impulse-press'); ?></h3></div>
                            <div class="textwidget"><?php _e('To edit please go to Appearance > Widgets and choose Main Three.', 'impulse-press'); ?></div>
                        <?php endif;  ?>
                    </div>

                </div><!-- /.col-lg-4 -->
            </div>
        </div>
    </div>
</div>

<div class="latest-work latest-work-homepage-v3">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				 <!-- Latest Work -->
				 <h2><span><?php echo __('Latest Work', 'impulse-vision')?></span></h2>
				<?php get_template_part('latest-work'); ?>
			</div>
		</div>
    </div>
</div>

    <!-- Twitter Line -->
    <?php get_template_part('twitter-line'); ?>

<!-- this needs to be included if you want the latest work part -->
<script src="<?php echo impulse_vision_uri(); ?>/js/owl.carousel.min.js"></script>
<script src="<?php echo impulse_vision_uri(); ?>/js/carousel.js"></script>

</div>
<?php get_footer(); ?>