<?php


/* Adding metaboxes for page templates */
function impulse_vision_metaboxes( $meta_boxes ) {

    $prefix = 'iv_'; // Prefix for all fields
    $meta_boxes = impulse_vision_home_vision_page_options($meta_boxes, $prefix);
    $meta_boxes = impulse_vision_about_page_options($meta_boxes, $prefix);
    $meta_boxes = impulse_vision_contact_page_options($meta_boxes, $prefix);
    $meta_boxes = impulse_vision_contact_page2_options($meta_boxes, $prefix);
    $meta_boxes = impulse_vision_contact_page3_options($meta_boxes, $prefix);
    $meta_boxes = impulse_vision_team_options($meta_boxes, $prefix);
    $meta_boxes = impulse_vision_project_page_options($meta_boxes, $prefix);
    $meta_boxes = impulse_vision_service_page_options($meta_boxes, $prefix);
    $meta_boxes = impulse_vision_team_page_options($meta_boxes, $prefix);
    return $meta_boxes;
}

/**
 * @param $meta_boxes
 * @param $prefix
 * @return mixed
 */
function impulse_vision_home_vision_page_options($meta_boxes, $prefix)
{
    /* Home Vision Page template options */
    $meta_boxes['impulse_vision_page_options'] = array(
        'id' => 'impulse_vision_page_options',
        'title' => __('Template content and options. ','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'home-vision.php'),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('','impulse-vision'),
                'desc' => __('The content of this page is on the widgets: Hero Slider, Main One, Main Two, Main Three, Tweet. The remaining content comes from Blog posts, Service posts and Project posts.','impulse-vision'),
                'type' => 'title',
                'id' => $prefix . 'title'
            ),
        ),
    );

    $meta_boxes['impulse_vision_page_options_2'] = array(
        'id' => 'impulse_vision_page_options_2',
        'title' => __('Template content and options. ','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'home-vision-v2.php'),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('','impulse-vision'),
                'desc' => __('The content of this page is in the widgets: Hero Slider and Tweet. The remaining content comes from Project posts.','impulse-vision'),
                'type' => 'title',
                'id' => $prefix . 'title'
            ),
        ),
    );

    $meta_boxes['impulse_vision_page_options_3'] = array(
        'id' => 'impulse_vision_page_options_3',
        'title' => __('Template content and options. ','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'home-vision-v3.php'),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('','impulse-vision'),
                'desc' => __('The content of this page is in a widget: Hero Slider. The remaining content comes from Project posts.','impulse-vision'),
                'type' => 'title',
                'id' => $prefix . 'title'
            ),
        ),
    );

    $meta_boxes['impulse_vision_page_options_4'] = array(
        'id' => 'impulse_vision_page_options_4',
        'title' => __('Template content and options. ','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'home-vision-v4.php'),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('','impulse-vision'),
                'desc' => __('The content of this page is in a widget: Hero Slider.','impulse-vision'),
                'type' => 'title',
                'id' => $prefix . 'title'
            ),
        ),
    );


    return $meta_boxes;
}

/**
 * @param $meta_boxes
 * @param $prefix
 * @return mixed
 */
function impulse_vision_contact_page_options($meta_boxes, $prefix)
{
    /* Contact Page template options */
    $meta_boxes['impulse_vision_contact_page_options'] = array(
        'id' => 'impulse_vision_contact_page_options',
        'title' => __('Contact page options','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'contact.php'),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('Show Map','impulse-vision'),
                'desc' => __('Show a map on the page?','impulse-vision'),
                'id' => $prefix . 'show_map',
                'type' => 'checkbox'
            ),

            array(
                'name' => __('Contact Text','impulse-vision'),
                'desc' => __('This is the paragraph that will show above the address, phone and email.','impulse-vision'),
                'id' => $prefix . 'contact_text',
                'type' => 'textarea_small'

            ),

            array(
                'name' => __('Address','impulse-vision'),
                'desc' => __('This is the address that will show and the right and on the map shown on the top of the page','impulse-vision'),
                'id' => $prefix . 'address',
                'type' => 'textarea_small'

            ),

            array(
                'name' => __('Phone','impulse-vision'),
                'desc' => __('The company\'s phone number','impulse-vision'),
                'id' => $prefix . 'phone',
                'type' => 'text'
            ),

            array(
                'name' => __('Email','impulse-vision'),
                'desc' => __('The company\'s email','impulse-vision'),
                'id' => $prefix . 'email',
                'type' => 'text_email'
            ),

        ),
    );
    return $meta_boxes;
}

/**
 * @param $meta_boxes
 * @param $prefix
 * @return mixed
 */
function impulse_vision_contact_page2_options($meta_boxes, $prefix)
{
    /* Contact Page template options */
    $meta_boxes['impulse_vision_contact_page2_options'] = array(
        'id' => 'impulse_vision_contact_page2_options',
        'title' => __('Contact page options','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'contact-v2.php' ),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(

            array(
                'name' => __('Picture','impulse-vision'),
                'desc' => __('The picture on top. Upload an image or enter an URL.','impulse-vision'),
                'id' => $prefix . 'contact_picture',
                'type' => 'file',
                'allow' => array( 'url', 'attachment' ) // limit to just attachments with array( 'attachment' )
            ),

            array(
                'name' => __('Show Map','impulse-vision'),
                'desc' => __('Show a map on the bottom of the page?','impulse-vision'),
                'id' => $prefix . 'show_map',
                'type' => 'checkbox'
            ),

            array(
                'name' => __('Contact Text','impulse-vision'),
                'desc' => __('This is the paragraph that will show above the address, phone and email.','impulse-vision'),
                'id' => $prefix . 'contact_text',
                'type' => 'textarea_small'

            ),

            array(
                'name' => __('Address','impulse-vision'),
                'desc' => __('This is the address that will show and the right and on the map shown on the top of the page','impulse-vision'),
                'id' => $prefix . 'address',
                'type' => 'textarea_small'

            ),

            array(
                'name' => __('Phone','impulse-vision'),
                'desc' => __('The company\'s phone number','impulse-vision'),
                'id' => $prefix . 'phone',
                'type' => 'text'
            ),

            array(
                'name' => __('Email','impulse-vision'),
                'desc' => __('The company\'s email','impulse-vision'),
                'id' => $prefix . 'email',
                'type' => 'text_email'
            ),

            array(
                'name' => __('Box 1 Content','impulse-vision'),
                'desc' =>  __('The content of box 1 ','impulse-vision'),
                'id' => $prefix . 'contact_box1_content',
                'type' => 'wysiwyg',
            ),

            array(
                'name' => __('Box 2 Content','impulse-vision'),
                'desc' =>  __('The content of box 2 ','impulse-vision'),
                'id' => $prefix . 'contact_box2_content',
                'type' => 'wysiwyg',
            ),

            array(
                'name' => __('Box 3 Content','impulse-vision'),
                'desc' =>  __('The content of box 3 ','impulse-vision'),
                'id' => $prefix . 'contact_box3_content',
                'type' => 'wysiwyg',
            ),



        ),
    );
    return $meta_boxes;
}
/**
 * @param $meta_boxes
 * @param $prefix
 * @return mixed
 */
function impulse_vision_contact_page3_options($meta_boxes, $prefix)
{
    /* Contact Page template options */
    $meta_boxes['impulse_vision_contact_page3_options'] = array(
        'id' => 'impulse_vision_contact_page3_options',
        'title' => __('Contact page options','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'contact-v3.php' ),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(

            array(
                'name' => __('Show Map','impulse-vision'),
                'desc' => __('Show a map on the bottom of the page?','impulse-vision'),
                'id' => $prefix . 'show_map',
                'type' => 'checkbox'
            ),

            array(
                'name' => __('Contact Text','impulse-vision'),
                'desc' => __('This is the paragraph that will show above the address, phone and email.','impulse-vision'),
                'id' => $prefix . 'contact_text',
                'type' => 'textarea_small'

            ),

            array(
                'name' => __('Address','impulse-vision'),
                'desc' => __('This is the main address. It will show and the right and on the map shown on the top of the page','impulse-vision'),
                'id' => $prefix . 'address',
                'type' => 'textarea_small'

            ),

            array(
                'name' => __('Phone','impulse-vision'),
                'desc' => __('The main company\'s phone number','impulse-vision'),
                'id' => $prefix . 'phone',
                'type' => 'text'
            ),

            array(
                'name' => __('Email','impulse-vision'),
                'desc' => __('The main company\'s email','impulse-vision'),
                'id' => $prefix . 'email',
                'type' => 'text_email'
            ),

            array(
                'name' => __('Box 1 Content','impulse-vision'),
                'desc' =>  __('The top text of box 1 ','impulse-vision'),
                'id' => $prefix . 'contact_box1_content',
                'type' => 'wysiwyg',
            ),

            array(
                'name' => __('Box 2 Content','impulse-vision'),
                'desc' =>  __('The top text of box 2 ','impulse-vision'),
                'id' => $prefix . 'contact_box2_content',
                'type' => 'wysiwyg',
            ),

            array(
                'name' => __('Box 3 Content','impulse-vision'),
                'desc' =>  __('The top text of box 3 ','impulse-vision'),
                'id' => $prefix . 'contact_box3_content',
                'type' => 'wysiwyg',
            ),

        ),
    );
    return $meta_boxes;
}

/**
 * @param $meta_boxes
 * @param $prefix
 * @return mixed
 */
function impulse_vision_about_page_options($meta_boxes, $prefix)
{
    /* Contact Page template options */
    $meta_boxes['impulse_vision_about_page_options'] = array(
        'id' => 'impulse_vision_about_page_options',
        'title' => __('About page options','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'about-us.php'),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('','impulse-vision'),
                'desc' => __('Part of the content of this page is in the widgets: Hero Slider, Newsletter and Tweet. The remaining content comes from Services  posts.','impulse-vision'),
                'type' => 'title',
                'id' => $prefix . 'title'
            ),
        ),
    );

    $meta_boxes['impulse_vision_about_page_options_2'] = array(
        'id' => 'impulse_vision_about_page_options_2',
        'title' => __('About page options','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'about-us-v2.php'),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('','impulse-vision'),
                'desc' => __('Part of the content of this page is in the widget Tweet. The remaining content comes from Team and Project posts.','impulse-vision'),
                'type' => 'title',
                'id' => $prefix . 'title'
            ),
        ),
    );

    $meta_boxes['impulse_vision_about_page_options_3'] = array(
            'id' => 'impulse_vision_about_page_options_3',
            'title' => __('About page options','impulse-vision'),
            'pages' => array('page'), // post type
            'show_on' => array('key' => 'page-template', 'value' => 'about-us-v3.php'),
            'context' => 'normal', //  'normal', 'advanced', or 'side'
            'priority' => 'high', //  'high', 'core', 'default' or 'low'
            'show_names' => true, // Show field names on the left
            'fields' => array(
                array(
                    'name' => __('','impulse-vision'),
                    'desc' => __('The top part of the content of this page is in the main content area. Below there are three featurettes. For which one, type a title, text and picture.','impulse-vision'),
                    'type' => 'title',
                    'id' => $prefix . 'title'
                ),
                
                 array(
                    'name' => __('Picture 1','impulse-vision'),
                    'desc' => __('The picture of the featurette 1. Upload an image or enter an URL.','impulse-vision'),
                    'id' => $prefix . 'about_picture_1',
                    'type' => 'file',
                    'allow' => array('url', 'attachment' ) // limit to just attachments with array( 'attachment' )
                ),

                array(
                    'name' => __('Title 1','impulse-vision'),
                    'desc' => __('The title of the featurette 1','impulse-vision'),
                    'id' => $prefix . 'about_title_1',
                    'type' => 'textarea_code'
                ),
                
                 array(
                    'name' => __('Text 1 Content','impulse-vision'),
                    'desc' =>  __('The text of the featurette 1','impulse-vision'),
                    'id' => $prefix . 'about_text_1',
                    'type' => 'wysiwyg',
                ),
                 array(
                    'name' => __('Picture 2','impulse-vision'),
                    'desc' => __('The picture of the featurette 2. Upload an image or enter an URL.','impulse-vision'),
                    'id' => $prefix . 'about_picture_2',
                    'type' => 'file',
                    'allow' => array('url', 'attachment' ) // limit to just attachments with array( 'attachment' )
                ),

                array(
                    'name' => __('Title 2','impulse-vision'),
                    'desc' => __('The title of the featurette 2','impulse-vision'),
                    'id' => $prefix . 'about_title_2',
                    'type' => 'textarea_code'
                ),
                
                 array(
                    'name' => __('Text 2 Content','impulse-vision'),
                    'desc' =>  __('The text of the featurette 2','impulse-vision'),
                    'id' => $prefix . 'about_text_2',
                    'type' => 'wysiwyg',
                ),
                 array(
                    'name' => __('Picture 3','impulse-vision'),
                    'desc' => __('The picture of the featurette 3. Upload an image or enter an URL.','impulse-vision'),
                    'id' => $prefix . 'about_picture_3',
                    'type' => 'file',
                    'allow' => array('url', 'attachment' ) // limit to just attachments with array( 'attachment' )
                ),

                array(
                    'name' => __('Title 3','impulse-vision'),
                    'desc' => __('The title of the featurette 3','impulse-vision'),
                    'id' => $prefix . 'about_title_3',
                    'type' => 'textarea_code'
                ),
                
                 array(
                    'name' => __('Text 3 Content','impulse-vision'),
                    'desc' =>  __('The text of the featurette 3','impulse-vision'),
                    'id' => $prefix . 'about_text_3',
                    'type' => 'wysiwyg',
                ),
            ),
        );


    return $meta_boxes;
}

/**
 * @param $meta_boxes
 * @param $prefix
 * @return mixed
 */
function impulse_vision_team_options($meta_boxes, $prefix)
{
    /* Team Page template options */
    $meta_boxes['impulse_team_member_post_options'] = array(
        'id' => 'impulse_team_member_post_options',
        'title' => __('Team Member Data','impulse-vision'),
        'pages' => array('team-member'), // post type
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('Picture','impulse-vision'),
                'desc' => __('Picture. Upload an image or enter an URL.','impulse-vision'),
                'id' => $prefix . 'team_member_picture',
                'type' => 'file',
                'allow' => array( 'url', 'attachment' ) // limit to just attachments with array( 'attachment' )
            ),

            array(
                'name' => __('Name','impulse-vision'),
                'desc' => __('The person\'s name','impulse-vision'),
                'id' => $prefix . 'team_member_name',
                'type' => 'text'
            ),

            array(
                'name' => __('Job Title','impulse-vision'),
                'desc' => __('The job title','impulse-vision'),
                'id' => $prefix . 'team_member_title',
                'type' => 'text'
            ),

            array(
                'name' => __('Email','impulse-vision'),
                'desc' => __('Email','impulse-vision'),
                'id' => $prefix . 'team_member_email',
                'type' => 'text_email'
            ),

            array(
                'name' => __('Twitter','impulse-vision'),
                'desc' => __('Twitter account ','impulse-vision'),
                'id' => $prefix . 'team_member_twitter',
                'type' => 'text'
            ),

            array(
                'name' => __('Tumblr','impulse-vision'),
                'desc' => __('Tumblr account ','impulse-vision'),
                'id' => $prefix . 'team_member_tumblr',
                'type' => 'text'
            ),

            array(
                'name' => __('Github','impulse-vision'),
                'desc' => __('Github account ','impulse-vision'),
                'id' => $prefix . 'team_member_github',
                'type' => 'text'
            ),


            array(
                'name' => __('Instagram','impulse-vision'),
                'desc' => __('Instagram account ','impulse-vision'),
                'id' => $prefix . 'team_member_instagram',
                'type' => 'text'
            ),


            array(
                'name' => __('Pinterest','impulse-vision'),
                'desc' => __('Pinterest account ','impulse-vision'),
                'id' => $prefix . 'team_member_pinterest',
                'type' => 'text'
            ),


            array(
                'name' => __('dribbble','impulse-vision'),
                'desc' => __('dribbble account ','impulse-vision'),
                'id' => $prefix . 'team_member_dribbble',
                'type' => 'text'
            ),


            array(
                'name' => __('flickr','impulse-vision'),
                'desc' => __('flickr account ','impulse-vision'),
                'id' => $prefix . 'team_member_flickr',
                'type' => 'text'
            ),


            array(
                'name' => __('Google plus','impulse-vision'),
                'desc' => __('google plus account ','impulse-vision'),
                'id' => $prefix . 'team_member_google_plus',
                'type' => 'text'
            ),


            array(
                'name' => __('YouTube','impulse-vision'),
                'desc' => __('YouTube account ','impulse-vision'),
                'id' => $prefix . 'team_member_youtube',
                'type' => 'text'
            ),

            array(
                'name' => __('LinkedIn','impulse-vision'),
                'desc' => __('LinkedIn account','impulse-vision'),
                'id' => $prefix . 'team_member_linked_in',
                'type' => 'text'
            ),

            array(
                'name' => __('Facebook','impulse-vision'),
                'desc' => __('Facebook account','impulse-vision'),
                'id' => $prefix . 'team_member_twitter',
                'type' => 'text'
            ),

            array(
                'name' => __('Website','impulse-vision'),
                'desc' => __('Website URL','impulse-vision'),
                'id' => $prefix . 'team_member_website',
                'type' => 'text_url'
            ),

            array(
                'name' => __('RSS','impulse-vision'),
                'desc' => __('RSS URL','impulse-vision'),
                'id' => $prefix . 'team_member_rss',
                'type' => 'text_url'
            ),


        ),
    );
    return $meta_boxes;
}


/**
 * @param $meta_boxes
 * @param $prefix
 * @return mixed
 */
function impulse_vision_project_page_options($meta_boxes, $prefix)
{
    /* Home Vision Page template options */
    $meta_boxes['impulse_vision_project_page_options'] = array(
        'id' => 'impulse_vision_project_page_options',
        'title' => __('Project page template content and options. ','impulse-vision'),
        'pages' => array('project'), // post type
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('Project URL','impulse-vision'),
                'desc' => __('This is project URL.','impulse-vision'),
                'id' => $prefix . 'project_url',
                'type' => 'text_url',
            ),

            array(
                'name' => __('Sidebar Content','impulse-vision'),
                'desc' =>  __('The content of the sidebar ','impulse-vision'),
                'id' => $prefix . 'project_sidebar_content',
                'type' => 'wysiwyg',
            ),

        ),
    );
    return $meta_boxes;
}


/**
 * @param $meta_boxes
 * @param $prefix
 * @return mixed
 */
function impulse_vision_team_page_options($meta_boxes, $prefix)
{
    /* Home Vision Page template options */
    $meta_boxes['impulse_vision_team_page_options'] = array(
        'id' => 'impulse_vision_team_page_options',
        'title' => __('Team page template content and options. ','impulse-vision'),
        'pages' => array('page'), // post type
        'show_on' => array('key' => 'page-template', 'value' => 'team-v4.php'),
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('Widget 1 Content','impulse-vision'),
                'desc' =>  __('The content of the widget 1 ','impulse-vision'),
                'id' => $prefix . 'team3_widget1_content',
                'type' => 'wysiwyg',
            ),

            array(
                'name' => __('Widget 2 Content','impulse-vision'),
                'desc' =>  __('The content of the widget 2 ','impulse-vision'),
                'id' => $prefix . 'team3_widget2_content',
                'type' => 'wysiwyg',
            ),

            array(
                'name' => __('Widget 3 Content','impulse-vision'),
                'desc' =>  __('The content of the widget 3 ','impulse-vision'),
                'id' => $prefix . 'team3_widget3_content',
                'type' => 'wysiwyg',
            ),

        ),
    );
    return $meta_boxes;
}


/**
 * @param $meta_boxes
 * @param $prefix
 * @return mixed
 */
function impulse_vision_service_page_options($meta_boxes, $prefix)
{
    /* Home Vision Page template options */
    $meta_boxes['impulse_vision_service_page_options'] = array(
        'id' => 'impulse_vision_service_page_options',
        'title' => __('Service page template content and options. ','impulse-vision'),
        'pages' => array('service'), // post type
        'context' => 'normal', //  'normal', 'advanced', or 'side'
        'priority' => 'high', //  'high', 'core', 'default' or 'low'
        'show_names' => true, // Show field names on the left
        'fields' => array(
            array(
                'name' => __('Show Breadcrumbs','impulse-press'),
                'desc' => __('Show Breadcrumbs in this page?','impulse-press'),
                'id' => 'ip_' . 'enable_breadcrumbs',
                'type' => 'checkbox'
            ),

            array(
                'name' => __('Show Title','impulse-press'),
                'desc' => __('Show Title in this page?','impulse-press'),
                'id' => 'ip_'  . 'enable_title',
                'type' => 'checkbox'
            ),
        ),
    );
    return $meta_boxes;
}


function impulse_vision_posts($post_type) {
    $res = array();

    $args = array( 'post_type' => $post_type );
    $loop = new WP_Query( $args );
    $i = 0;
    while ( $loop->have_posts() ) : $loop->the_post();
        $res[$loop->post->ID] = get_the_title($loop->post->ID);
        $i++;
    endwhile;

    return $res;
}

