<?php
  add_action('init', 'impulse_vision_services_init');  
  
  /*-- Custom Post Init Begin --*/
  function impulse_vision_services_init()
  {
    $labels = array(
    'name' => _x('Services', 'post type general name','impulse-vision'),
    'singular_name' => _x('Service', 'post type singular name','impulse-vision'),
    'add_new' => _x('Add New', 'service','impulse-vision'),
    'add_new_item' => __('Add New Service','impulse-vision'),
    'edit_item' => __('Edit Service','impulse-vision'),
    'new_item' => __('New Service','impulse-vision'),
    'view_item' => __('View Service','impulse-vision'),
    'search_items' => __('Search Services','impulse-vision'),
    'not_found' =>  __('No services found','impulse-vision'),
    'not_found_in_trash' => __('No services found in Trash','impulse-vision'),
    'parent_item_colon' => '',
    'menu_name' =>  __('Services','impulse-vision')

    );
    
   $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true,
    'show_in_menu' => true,
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'has_archive' => true,
    'hierarchical' => false,
    'menu_position' => null,
    'supports' => array('title','editor','author','thumbnail','excerpt','comments', 'post-formats')
    );
    // The following is the main step where we register the post.
    register_post_type('service',$args);
    
    // Initialize New Taxonomy Labels
    $labels = array(
    'name' => _x( 'Tags', 'taxonomy general name' ,'impulse-vision'),
    'singular_name' => _x( 'Tag', 'taxonomy singular name' ,'impulse-vision'),
    'search_items' =>  __( 'Search Types' ,'impulse-vision'),
    'all_items' => __( 'All Tags' ,'impulse-vision'),
    'parent_item' => __( 'Parent Tag' ,'impulse-vision'),
    'parent_item_colon' => __( 'Parent Tag:','impulse-vision'),
    'edit_item' => __( 'Edit Tags' ,'impulse-vision'),
    'update_item' => __( 'Update Tag' ,'impulse-vision'),
    'add_new_item' => __( 'Add New Tag','impulse-vision' ),
    'new_item_name' => __( 'New Tag Name' ,'impulse-vision'),
    );
    // Custom taxonomy for Service Tags
    register_taxonomy('tag_service_catalogue',array('service'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'tag-service-catalogue' ),
    ));
    
  }
  /*-- Custom Post Init Ends --*/
  
  /*--- Custom Messages - service_updated_messages ---*/
  add_filter('post_updated_messages', 'impulse_vision_service_updated_messages');
  
  function impulse_vision_service_updated_messages( $messages ) {
    global $post, $post_ID;

    $messages['service'] = array(
    0 => '', // Unused. Messages start at index 1.
    1 => sprintf( __('Service updated. <a href="%s">View service</a>'), esc_url( get_permalink($post_ID) ) ),
    2 => __('Custom field updated.','impulse-vision'),
    3 => __('Custom field deleted.','impulse-vision'),
    4 => __('Service updated.','impulse-vision'),
    /* translators: %s: date and time of the revision */
    5 => isset($_GET['revision']) ? sprintf( __('Service restored to revision from %s','impulse-vision'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
    6 => sprintf( __('Service published. <a href="%s">View service</a>'), esc_url( get_permalink($post_ID) ) ),
    7 => __('Service saved.','impulse-vision'),
    8 => sprintf( __('Service submitted. <a target="_blank" href="%s">Preview service</a>','impulse-vision'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
    9 => sprintf( __('Service scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview service</a>','impulse-vision'),
      // translators: Publish box date format, see http://php.net/date
      date_i18n( __( 'M j, Y @ G:i' ,'impulse-vision'), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
    10 => sprintf( __('Service draft updated. <a target="_blank" href="%s">Preview service</a>','impulse-vision'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
    );

    return $messages;
  }
  
  /*--- #end SECTION - service_updated_messages ---*/
  
  
      /*--- URL meta box ---*/  
      
    add_action('admin_init','impulse_vision_service_catalogue_meta_init');  
      
    function impulse_vision_service_catalogue_meta_init()  
    {  
        // add a meta box for WordPress 'service' type  
        add_meta_box('service_catalogue_meta', 'Service Infos', 'impulse_vision_service_catalogue_meta_setup', 'service', 'side', 'low');  
       
        // add a callback function to save any data a user enters in  
        add_action('save_post','impulse_vision_service_catalogue_meta_save');  
    }  
      
    function impulse_vision_service_catalogue_meta_setup()  
    {  
        global $post;  
           
        ?>  
            <div class="service_catalogue_meta_control">  
                <label>URL</label>  
                <p>  
                    <input type="text" name="_url" value="<?php echo get_post_meta($post->ID,'_url',TRUE); ?>" style="width: 100%;" />  
                </p>  
            </div>  
        <?php  
      
        // create for validation  
        echo '<input type="hidden" name="meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';  
    }  
      
    function impulse_vision_service_catalogue_meta_save($post_id)   
    {  
        // check nonce  
        if (!isset($_POST['meta_noncename']) || !wp_verify_nonce($_POST['meta_noncename'], __FILE__)) {  
        return $post_id;  
        }  
      
        // check capabilities  
        if ('post' == $_POST['post_type']) {  
        if (!current_user_can('edit_post', $post_id)) {  
        return $post_id;  
        }  
        } elseif (!current_user_can('edit_page', $post_id)) {  
        return $post_id;  
        }  
      
        // exit on autosave  
        if (defined('DOING_AUTOSAVE') == DOING_AUTOSAVE) {  
        return $post_id;  
        }  
      
        if(isset($_POST['_url']))   
        {  
            update_post_meta($post_id, '_url', $_POST['_url']);  
        } else   
        {  
            delete_post_meta($post_id, '_url');  
        }  
    }  
      
    /*--- #end URL meta box ---*/  



function impulse_vision_service_cpt_columns($columns) {

	$new_columns = array(
		'tag_service_catalogue' => __('Tags', 'impulse-vision')
	);
    return array_merge($columns, $new_columns);
}

add_filter('manage_service_posts_columns' , 'impulse_vision_service_cpt_columns');
