<?php
  add_action('init', 'impulse_vision_team_custom_init');
  
  /*-- Custom Post Init Begin --*/
  function impulse_vision_team_custom_init()
  {
    $labels = array(
    'name' => _x('Team Members', 'post type general name','impulse-vision'),
    'singular_name' => _x('Team Member', 'post type singular name','impulse-vision'),
    'add_new' => _x('Add New', 'team-member','impulse-vision'),
    'add_new_item' => __('Add New Team Member','impulse-vision'),
    'edit_item' => __('Edit Team Member','impulse-vision'),
    'new_item' => __('New Team Member','impulse-vision'),
    'view_item' => __('View Team Member','impulse-vision'),
    'search_items' => __('Search Team Members','impulse-vision'),
    'not_found' =>  __('No Team Members found','impulse-vision'),
    'not_found_in_trash' => __('No Team Members found in Trash','impulse-vision'),
    'parent_item_colon' => '',
    'menu_name' =>  __('Team Members','impulse-vision')

    );
    
   $args = array(
    'labels' => $labels,
    'public' => true,
    'publicly_queryable' => true,
    'show_ui' => true,
    'show_in_menu' => true,
    'query_var' => true,
    'rewrite' => true,
    'capability_type' => 'post',
    'has_archive' => true,
    'hierarchical' => false,
    'menu_position' => null,
    'supports' => array('title','editor','author','thumbnail','excerpt','comments', 'post-formats')
    );
    // The following is the main step where we register the post.
    register_post_type('team-member',$args);
    
    // Initialize New Taxonomy Labels
    $labels = array(
    'name' => _x( 'Tags', 'taxonomy general name' ,'impulse-vision'),
    'singular_name' => _x( 'Tag', 'taxonomy singular name' ,'impulse-vision'),
    'search_items' =>  __( 'Search Types' ,'impulse-vision'),
    'all_items' => __( 'All Tags' ,'impulse-vision'),
    'parent_item' => __( 'Parent Tag' ,'impulse-vision'),
    'parent_item_colon' => __( 'Parent Tag:','impulse-vision'),
    'edit_item' => __( 'Edit Tags' ,'impulse-vision'),
    'update_item' => __( 'Update Tag' ,'impulse-vision'),
    'add_new_item' => __( 'Add New Tag','impulse-vision' ),
    'new_item_name' => __( 'New Tag Name' ,'impulse-vision'),
    );
    // Custom taxonomy for Team Member Tags
    register_taxonomy('tag-team-member',array('team-member'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'tag-team-member' ),
    ));
    
  }
  /*-- Custom Post Init Ends --*/
  
  /*--- Custom Messages - team_updated_messages ---*/
  add_filter('post_updated_messages', 'impulse_vision_team_updated_messages');
  
  function impulse_vision_team_updated_messages( $messages ) {
    global $post, $post_ID;

    $messages['team-member'] = array(
    0 => '', // Unused. Messages start at index 1.
    1 => sprintf( __('Team Member updated. <a href="%s">View Team Member</a>'), esc_url( get_permalink($post_ID) ) ),
    2 => __('Custom field updated.','impulse-vision'),
    3 => __('Custom field deleted.','impulse-vision'),
    4 => __('Team Member updated.','impulse-vision'),
    /* translators: %s: date and time of the revision */
    5 => isset($_GET['revision']) ? sprintf( __('Team Member restored to revision from %s','impulse-vision'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
    6 => sprintf( __('Team Member published. <a href="%s">View Team Member</a>'), esc_url( get_permalink($post_ID) ) ),
    7 => __('Team Member saved.','impulse-vision'),
    8 => sprintf( __('Team Member submitted. <a target="_blank" href="%s">Preview Team Member</a>','impulse-vision'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
    9 => sprintf( __('Team Member scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview Team Member</a>','impulse-vision'),
      // translators: Publish box date format, see http://php.net/date
      date_i18n( __( 'M j, Y @ G:i' ,'impulse-vision'), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
    10 => sprintf( __('Team Member draft updated. <a target="_blank" href="%s">Preview Team Member</a>','impulse-vision'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
    );

    return $messages;
  }
  
  /*--- #end SECTION - impulse_vision_team_updated_messages ---*/
