<?php
/**
 *
 * @file           index.php
 * @package        Impulse Press
 * @author         Two Impulse
 * @copyright      2014 Two Impulse
 * @license        license.txt
 * @version        Release: 1.3
 */
?>
<?php get_header(); ?>

<div class="content">
   	<?php get_template_part('breadcrumbs'); ?>
    
<!--TODO add option for posts per page -->
<div class="container">
    <div class="row">
        <div class="col-sm-8 col-lg-8 blog-container">

			<h2><span><?php _e('From Our Blog', 'impulse-vision'); ?></span></h2>
            <!-- Start the Loop. -->
			
			<?php
				// query the blog posts
				$loop = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 4));
				$iv_count_posts = 0;
				?>
				<?php if ($loop) : ?>

					<?php while ($loop->have_posts() ) : $loop->the_post(); ?>
						<?php
						$post_id = $post->ID;
						$has_thumbnail = has_post_thumbnail($post_id);
						?>

						<?php if ( $iv_count_posts == 0 || $iv_count_posts == 2 )  {
							echo '<div class="col-lg-6"><div class="row">';
						}?>
						<div class="post <?php if ($has_thumbnail) echo 'has-image'; else echo 'no-image'; ?>">
							
							<div class="stamps">
								<span class="time">
									<?php
									echo esc_html( get_the_date() );
									?>
								</span>
								<?php comments_popup_link(
									__('0', 'impulse-vision'),
									__('1', 'impulse-vision'),
									__('%', 'impulse-vision'),
									'comments');
								?>
							</div>
						
							<?php if ( $has_thumbnail) : ?>
								<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="featured-image" >
									<?php the_post_thumbnail(); ?>
								</a>
							<?php endif; ?>
							
							<h3>
								<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'impulse-press'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a>
							</h3>
							<div class="entry">
								<?php echo the_excerpt(); ?>
							</div>
							<p class="tags"><?php the_tags(__('Posted in: ','impulse-vision')); ?></p>
						</div>

						<?php if ( $iv_count_posts == 1 || $iv_count_posts == 3 ) {
							echo '</div></div>';
						}?>

						<?php $iv_count_posts++; ?>
					<?php endwhile; ?>

					<?php if ( $iv_count_posts < 4 ) {
						echo '</div></div>';
					}?>
					
				<?php endif; ?>
				

				<?php if ($wp_query->max_num_pages > 1) : ?>

					<div class="post-navigation">
						<div class="post-navigation-previous"><i class="fa fa-chevron-left"></i> Older posts<?php next_posts_link(__('<i class="fa fa-chevron-left"></i> Older', 'impulse-press')); ?></div>
						<div class="post-navigation-next">Newer posts <i class="fa fa-chevron-right"></i><?php previous_posts_link(__('Next <i class="fa fa-chevron-right"></i>', 'impulse-press')); ?></div>
					</div><!-- end of .navigation -->

				<?php endif; ?>
				
        </div><!-- end of #col-lg-8 -->

        <div class="col-sm-4 col-lg-4 blog-container">
            <div id="widgets" class="well">
               <?php if ( dynamic_sidebar('sidebar-right') ) : else : endif; ?>
            </div>
        </div><!-- end of col-lg-4 -->
        
	</div><!-- end of row -->
</div>
</div>

<?php get_footer(); ?>