<?php
/**
 * Search Results Template
 *
 * Template Name:  Search Page
 *
 * @file           search.php
 * @package        Impulse Vision
 * @author         Two Impulse
 * @copyright      2014 Two Impulse
 * @license        license.txt
 * @version        Release: 1.0
 */

get_header(); ?>

<?php
$str =  get_search_query();
$query_str = 's='. get_search_query()  . '&post_type=post' . '&posts_per_page=' . 10;
query_posts($query_str);
?>

<div class="content">
    <?php get_template_part('breadcrumbs'); ?>

	<div class="container">
		<div class="row">
			<div class="col-lg-12 blog-container">
				<!-- Start the Loop. -->
				
				<?php if (have_posts()) : ?>

                    <?php while (have_posts()) : the_post(); ?>
						<?php
						$post_id = $post->ID;
						$has_thumbnail = has_post_thumbnail($post_id);
						?>

						<?php if ( $iv_count_posts == 0 || $iv_count_posts == 2 )  {
							echo '<div class="col-lg-6">';
						}?>
						<div class="post <?php if ($has_thumbnail) echo 'has-image'; else echo ''; ?>">
							<?php if ( $has_thumbnail) : ?>
								<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="featured-image" >
									<?php the_post_thumbnail(); ?>
								</a>
							<?php endif; ?>
							<div class="stamps">

													<span class="time">
														<?php
														echo esc_html( get_the_date() );
														?>
													</span>

								<?php comments_popup_link(
									__('0', 'impulse-vision'),
									__('1', 'impulse-vision'),
									__('%', 'impulse-vision'),
									'comments');
								?>

							</div>
							<h3>
								<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'impulse-press'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a>
							</h3>
							<div class="entry">
								<?php echo the_excerpt(); ?>
							</div>
							<p class="tags"><?php the_tags(__('Posted in: ','impulse-vision')); ?></p>
						</div>

						<?php if ( $iv_count_posts == 1 || $iv_count_posts == 3 ) {
							echo '</div>';
						}?>

						<?php $iv_count_posts++; ?>
                    <?php endwhile; ?>
					
					<?php if ( $iv_count_posts < 4 ) {
						echo '</div>';
					}?>

                    <?php if (  $wp_query->max_num_pages > 1 ) : ?>
                        <div class="navigation">
                            <div class="previous"><?php next_posts_link( __( '&#8249; Older posts', 'impulse-press' ) ); ?></div>
                            <div class="next"><?php previous_posts_link( __( 'Newer posts &#8250;', 'impulse-press' ) ); ?></div>
                        </div><!-- end of .navigation -->
                    <?php endif; ?>

                    <?php else : ?>
                   <div class="container" id="not-found">
                        <div class="row">
							<i class="fa fa-book"></i>
                            <p>Sorry!<br />No posts found.</p>
							<div class="search-bar"><?php get_search_form(); ?></div>
							<hr />
                        </div>
                    </div>
            <?php endif; ?>
					
			</div><!-- end of #col-lg-12 -->
			
		</div><!-- end of row -->
	</div>

	<div class="container newsletters">
		<?php if (!dynamic_sidebar('newsletter')) : ?>
			<div class="widget-title-home"><h2><span><?php _e('Newsletter', 'impulse-vision'); ?></span></h2></div>
			<div class="textwidget"><?php _e('To edit please go to Appearance > Widgets and choose Newsletter.', 'impulse-vision'); ?></div>
		<?php endif;  ?>
	</div>
	
    <!-- Twitter Line -->
	<?php get_template_part('twitter-line'); ?>

</div>
<?php get_footer(); ?>
