<?php
/**
 * Services Page Template (V3)
 *
 * Template Name:  Services Page (V3)
 *
 * @file           services-page-v3.php
 * @package        Impulse Vision
 * @author         Two Impulse
 * @copyright      2014 Two Impulse
 * @license        license.txt
 * @version        Release: 1.0
 */

get_header(); ?>

<div class="content">

	<?php get_template_part('breadcrumbs'); ?>


    <div class="container">
        <?php get_template_part('content'); ?>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-lg-12 services-content">
				<div class="row">
					<?php
					// query the services
					$loop = new WP_Query(array('post_type' => 'service', 'posts_per_page' => -1));
					$iv_count_posts = 0;
					?>

					<?php if ($loop) : ?>
						<?php while ($loop->have_posts() ) : $loop->the_post(); ?>

							<!-- Service -->
							<div class="col-sm-4 col-lg-4">
								<div class="service-widget">
								
								<!-- 
								------------------------------------------
								------------------------------------------
								NOTE!!!!!!
								------------------------------------------
								This should, somehow, link to a file like:
								"single-service.php"
								------------------------------------------
								------------------------------------------
								-->
								
									<div class="service-image"><?php the_post_thumbnail(); ?></div>
									<h3 class="service-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'impulse-press'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h3>
									<p class="service-description"><?php echo the_excerpt(); ?></p>
									<p class="read-more"><a class="btn btn-default" href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'impulse-press'), the_title_attribute('echo=0')); ?>">More info</a></p>
									
								</div>
							</div>
							
							<!-- 
							------------------------------------------
							------------------------------------------
							NOTE!!!!!!
							------------------------------------------
							We need add here an if/echo, like:
							'</div><div class="row">'  or  '';
							------------------------------------------
							every 3 items of "$iv_count_posts"
							------------------------------------------
							------------------------------------------
							-->
							
						<?php endwhile; ?>
					<?php endif; ?>
				</div>
            </div>
        </div>
    </div><!--end services -->
	
	<div class="latest-work">
		<div class="container">
			<div class="row">
				<div class="col-lg-12">
					 <!-- Latest Work -->
					 <h2><span><?php echo __('Latest Work', 'impulse-vision')?></span></h2>
					<?php get_template_part('latest-work'); ?>
				</div>
			</div>
		</div>
	</div>

	<?php get_template_part('twitter-line'); ?>

</div>

<!-- this needs to be included if you want the latest work part -->
<script src="<?php echo impulse_vision_uri(); ?>/js/owl.carousel.min.js"></script>
<script src="<?php echo impulse_vision_uri(); ?>/js/carousel.js"></script>

<link rel="stylesheet" type="text/css" media="all" href="<?php echo impulse_vision_uri(); ?>/css/owl.carousel.css"/>
<link rel="stylesheet" type="text/css" media="all" href="<?php echo impulse_vision_uri(); ?>/css/owl.theme.css"/>

<?php get_footer(); ?>