<?php
/**
 * The Template for displaying all single products.
 *
 * Override this template by copying it to yourtheme/woocommerce/single-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

get_header(); ?>

	<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>

			<div class="col-lg-12 page-title shop">
                <div class="container">
                    <div class="col-md-8 col-lg-8 page-title-content">
                        <?php the_title(); ?>
                    </div>
                    
                    <div class="col-md-4 col-lg-4 breadcrumb">     
                        <?php
							do_action( 'woocommerce_before_main_content' );
						?>
                    </div>    
                </div>
            </div>

		<?php endif; ?>
        
        <div class="container">
        
        <div class="row">
        <div class="col-md-9 col-lg-9">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php wc_get_template_part( 'content', 'single-product' ); ?>

		<?php endwhile; // end of the loop. ?>
        
        </div>

	<?php
		/**
		 * woocommerce_after_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
		 */
		do_action( 'woocommerce_after_main_content' );
	?>
    
    <div class="col-md-3 col-lg-3">
		<div id="widgets" class="well">
		<?php if (!dynamic_sidebar('shop-product-sidebar')) : ?>
		<?php endif;  ?>	
        </div>
    
    </div>
    
    </div>
    </div>

<?php get_footer( 'shop' ); ?>